Subject: Re: [ntpwg] Privacy Considerations for NTS

From: Danny Mayer <[email-masked]>
Date: Tue, 30 Aug 2016 16:26:39 -0400

On 8/24/2016 10:40 AM, Daniel Franke wrote:
> On 8/24/16, [email-masked] <[email-masked]> wrote:
>> If this is the goal. Wouldn't it be sufficient that the client performs a
>> NTS key exchange if it enters a new network in order to refresh its state
>> information?
> 
> If there were a way for the client to reliably detect when this occurred,
> then yes, this would be sufficient. But unfortunately there isn't -- not in
> a world with NATs, virtualization, etc. How does my laptop know when
> my router has acquired a new IP? The only safe thing to do would be
> perform a new handshake before *every* request, and that's prohibitively
> expensive.

When the IP address of the interfaces have changed then the association
has to be dropped and a new one set up for the new IP address(es) so you
will need to restart the protocol at that point. For constant use (like
a server) it won't change but for a laptop which I take to meetings it will.

Danny

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg